# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ValidationpredictionsBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'prediction_ids': 'list[str]'
    }

    attribute_map = {
        'prediction_ids': 'prediction_ids'
    }

    def __init__(self, prediction_ids=None):  # noqa: E501
        """ValidationpredictionsBody - a model defined in Swagger"""  # noqa: E501
        self._prediction_ids = None
        self.discriminator = None
        if prediction_ids is not None:
            self.prediction_ids = prediction_ids

    @property
    def prediction_ids(self):
        """Gets the prediction_ids of this ValidationpredictionsBody.  # noqa: E501


        :return: The prediction_ids of this ValidationpredictionsBody.  # noqa: E501
        :rtype: list[str]
        """
        return self._prediction_ids

    @prediction_ids.setter
    def prediction_ids(self, prediction_ids):
        """Sets the prediction_ids of this ValidationpredictionsBody.


        :param prediction_ids: The prediction_ids of this ValidationpredictionsBody.  # noqa: E501
        :type: list[str]
        """

        self._prediction_ids = prediction_ids

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ValidationpredictionsBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ValidationpredictionsBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
